Skip to main content
POST
/
perks
/
consumers
/
{consumer_id}
/
pools
/
me
/
payouts
Trigger a payout of the consumer's pool.
curl --request POST \
  --url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/pools/me/payouts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/pools/me/payouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/pools/me/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amount": "<string>",
  "payout_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "psp_payout_id": "<string>",
  "reward_count": 123,
  "status": "PENDING"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string
default:2.0.0
Authorization
string | null

Path Parameters

consumer_id
string
required
Required string length: 2 - 100
Pattern: ^[a-zA-Z0-9_.-]*$

Response

Successful Response

amount
string
required

Total amount paid out (sum of the settled rewards).

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
payout_id
string<uuid>
required

Identifier of the payout created on PayLead's side.

psp_payout_id
string
required

Identifier of the bank wire payout created on the PSP (Mangopay) side.

reward_count
integer
required

Number of rewards settled by this payout.

status
string
default:PENDING

Settlement status. The payout is initiated synchronously but the bank wire is settled asynchronously by the PSP, so it starts as PENDING.